/*
* Color additions and overrides
* Override any color values - find them in vendor/numiko/color.scss
*/
/*
* Breakpoints 
*/
/*
* Unison: http://bjork24.github.io/Unison/
*/
@media screen and (min-width: 320px) {
  head {
    font-family: "tiny 320px";
  }
  body:after {
    content: "tiny - min-width: 320px";
  }
}
@media screen and (min-width: 480px) {
  head {
    font-family: "small 480px";
  }
  body:after {
    content: "small - min-width: 480px";
  }
}
@media screen and (min-width: 768px) {
  head {
    font-family: "medium 768px";
  }
  body:after {
    content: "medium - min-width: 768px";
  }
}
@media screen and (min-width: 1155px) {
  head {
    font-family: "large 1155px";
  }
  body:after {
    content: "large - min-width: 1155px";
  }
}
@media screen and (min-width: 1400px) {
  head {
    font-family: "huge 1400px";
  }
  body:after {
    content: "huge - min-width: 1400px";
  }
}
@media screen and (min-width: 1800px) {
  head {
    font-family: "mega 1800px";
  }
  body:after {
    content: "mega - min-width: 1800px";
  }
}
head {
  clear: both;
}

head title {
  font-family: "tiny 320px, small 480px, medium 768px, large 1155px, huge 1400px, mega 1800px";
}

body:after {
  display: none;
}

*[data-usn-if] {
  display: none;
}

/*
* Container
*/
/*
* Z-index levels
* @include z-index('alpha');
*/
/*
* Borders
*/
/*
* Transtions
*/
/*
* Borders
*/
/*
* Spacing
*/
@media screen and (prefers-reduced-motion: reduce), (update: slow) {
  *,
  *::after,
  *::before {
    -webkit-animation-duration: 0.001ms !important;
            animation-duration: 0.001ms !important;
    -webkit-animation-iteration-count: 1 !important;
            animation-iteration-count: 1 !important; /* Hat tip Nick/cssemedy (https://css-tricks.com/revisiting-prefers-reduced-motion-the-reduced-motion-media-query/#comment-1700170) */
    -webkit-transition-duration: 0.001ms !important;
            transition-duration: 0.001ms !important;
  }
}
/*
* Accoutement Type:
* https://github.com/oddbird/accoutement-type/
*/
/*
* Typi Font Sizes
* https://www.npmjs.com/package/typi
* @include typi('h1');
*
*/
.o-editorial-hero-grid {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-areas: "title" "meta" "standfirst" "image" "sidebar";
}

@media (min-width: 480px) {
  .o-editorial-hero-grid {
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas: "title title title" "meta standfirst standfirst" "image image image" "sidebar sidebar sidebar";
  }
}
@media (min-width: 768px) {
  .o-editorial-hero-grid {
    grid-template-columns: repeat(4, 1fr);
    grid-template-areas: "title title title ." "meta standfirst standfirst ." "image image image sidebar";
  }
}
.o-editorial-hero-grid__title {
  grid-area: title;
}

.o-editorial-hero-grid__meta {
  grid-area: meta;
}

.o-editorial-hero-grid__standfirst {
  grid-area: standfirst;
}

.o-editorial-hero-grid__image {
  grid-area: image;
}

.o-editorial-hero-grid__sidebar {
  grid-area: sidebar;
}

[data-component-id="crick:quote"] {
  margin: 1rem 0;
}

@media (min-width: 768px) {
  [data-component-id="crick:quote"] {
    margin-left: 1rem;
  }
}
[data-component-id="crick:quote"] .quotation {
  font-size: 1.25em;
  line-height: 1.2;
  font-weight: 500;
  line-height: 1.5;
  margin-bottom: 1rem;
}

@media all and (min-width: 768px) {
  [data-component-id="crick:quote"] .quotation {
    font-size: 1.22em;
  }
}
@media all and (min-width: 1155px) {
  [data-component-id="crick:quote"] .quotation {
    font-size: 1.2em;
  }
}
@media all and (min-width: 1800px) {
  [data-component-id="crick:quote"] .quotation {
    font-size: 1.27em;
  }
}
[data-component-id="crick:quote"] .citation-name {
  font-size: 0.87em;
  line-height: 1.2;
  font-weight: 500;
}

@media all and (min-width: 768px) {
  [data-component-id="crick:quote"] .citation-name {
    font-size: 0.78em;
  }
}
@media all and (min-width: 1155px) {
  [data-component-id="crick:quote"] .citation-name {
    font-size: 0.7em;
  }
}
@media all and (min-width: 1800px) {
  [data-component-id="crick:quote"] .citation-name {
    font-size: 0.72em;
  }
}
[data-component-id="crick:quote"] .citation-title {
  margin-top: 0.25rem;
  font-size: 0.87em;
  line-height: 1.2;
}

@media all and (min-width: 768px) {
  [data-component-id="crick:quote"] .citation-title {
    font-size: 0.78em;
  }
}
@media all and (min-width: 1155px) {
  [data-component-id="crick:quote"] .citation-title {
    font-size: 0.7em;
  }
}
@media all and (min-width: 1800px) {
  [data-component-id="crick:quote"] .citation-title {
    font-size: 0.72em;
  }
}
